Package be.ehealth.businessconnector.ehbox.v3.builders.impl

# Class RequestBuilderImpl

java.lang.Object
be.ehealth.businessconnector.ehbox.v3.builders.impl.RequestBuilderImpl

All Implemented Interfaces:
  `RequestBuilder`

public class RequestBuilderImpl extends Object implements RequestBuilder
implementation of `RequestBuilder`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestBuilderImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetAllEhboxesMessagesListRequest`
  `createAllEhboxesMessagesListRequest(String source)`
  retrieve all messages for given source from all ehealthboxes.
  `GetAllEhboxesMessagesListRequest`
  `createAllEhboxesMessagesListRequest(String source, Integer startIndex, Integer endIndex)`
  retrieve all messages for default ehealthbox.
  `GetBoxInfoRequest`
  `createBoxInfoRequest(BoxIdType boxId)`
  retrieve the information from the given ehealthboxes.
  `GetBoxInfoRequest`
  `createBoxInfoRequestForDefaultBox()`
  retrieve the information about the default ehealtbox.
  `DeleteMessageRequest`
  `createDeleteMessageRequest(String source, BoxIdType boxId, String... messageIds)`
  create a deleteMessageRequest for a list of messages for a given source and ehealthBoxes.
  `DeleteMessageRequest`
  `createDeleteMessageRequest(String source, BoxIdType boxId, List<String> messageIds)`
  create a deleteMessageRequest for a list of messages for a given source and ehealthBoxes.
  `DeleteMessageRequest`
  `createDeleteMessageRequest(String source, String... messageIds)`
  creates a DeleteMessageRequest which asks the server to delete some messages.
  `DeleteMessageRequest`
  `createDeleteMessageRequest(String source, List<String> messageIds)`
  creates a DeleteMessageRequest which asks the server to delete some messages.
  `DeleteOoORequest`
  `createDeleteOoORequest(BoxIdType boxId, String... oOoIds)`
  delete the OoO's for the given ehealthBoxes.
  `DeleteOoORequest`
  `createDeleteOoORequest(BoxIdType boxId, List<String> oOoIds)`
  delete the OoO's for the given ehealthBoxes.
  `DeleteOoORequest`
  `createDeleteOoORequest(String... oOoIds)`
  delete the OoO's for the default ehealthbox.
  `DeleteOoORequest`
  `createDeleteOoORequest(List<String> oOoIds)`
  delete the OoO's for the default ehealthbox.
  `GetAllEhboxesMessagesListRequest`
  `createGetAllEhboxesMessagesListRequest(String source, Integer startIndex, Integer endIndex)`
  retrieve messages from all ehealthboxes for a given source , start and endIndex.
  `GetFullMessageRequest`
  `createGetFullMessageRequest(String messageId)`
  retrieve message information of the message GetFullMessageRequest from INBOX with given messageId.
  `GetFullMessageRequest`
  `createGetFullMessageRequest(String messageId, String source)`
  retrieve message information of the message GetFullMessageRequest for the default ehealthbox.
  `GetFullMessageRequest`
  `createGetFullMessageRequest(String messageId, String source, BoxIdType boxId)`
  retrieve message information of the message GetFullMessageRequest .
  `GetHistoryRequest`
  `createGetHistoryRequest(String messageId)`
  retrieve message information of the message GetHistoryRequest from INBOX with given messageId.
  `GetHistoryRequest`
  `createGetHistoryRequest(String messageId, String source)`
  retrieve message information of the message GetHistoryRequest for the default ehealthbox.
  `GetHistoryRequest`
  `createGetHistoryRequest(String messageId, String source, BoxIdType boxId)`
  retrieve message information of the message GetHistoryRequest .
  `GetMessageAcknowledgmentsStatusRequest`
  `createGetMessageAcknowledgmentsStatusRequest(String messageId)`
  retrieve acknowledementStatuses for a message.
  `GetMessageAcknowledgmentsStatusRequest`
  `createGetMessageAcknowledgmentsStatusRequest(String messageId, Integer startIndex, Integer endIndex, BoxIdType boxId)`
  retrieve acknowledementStatuses for a message.
  `GetMessagesListRequest`
  `createGetMessagesListRequest(String source)`
  retrieve the messages for a given source and the default ehealthbox.
  `GetMessagesListRequest`
  `createGetMessagesListRequest(String source, int startIndex, int endIndex, BoxIdType boxId)`
  retrieve the messages .
  `GetOoOListRequest`
  `createGetOoOListRequest()`
  retrieve the Out Of Offices for the default ehealthbox.
  `GetOoOListRequest`
  `createGetOoOListRequest(BoxIdType boxId)`
  retrieve the Out Of Offices for the given ehealthBox.
  `InsertOoORequest`
  `createInsertOoORequest(BoxIdType boxId, Instant startDate, Instant endDate, BoxIdType... substitutes)`
  Insert an Out of Office with substitutes for the given Ehealthboxes .
  `InsertOoORequest`
  `createInsertOoORequest(BoxIdType boxId, Instant startDate, Instant endDate, List<BoxIdType> substitutes)`
  Insert an Out of Office with substitutes for the given Ehealthboxes .
  `InsertOoORequest`
  `createInsertOoORequest(Instant startDate, Instant endDate, BoxIdType... substitutes)`
  Insert an Out of Office with substitutes for the default ehealthBox.
  `InsertOoORequest`
  `createInsertOoORequest(Instant startDate, Instant endDate, List<BoxIdType> substitutes)`
  Insert an Out of Office with substitutes for the default ehealthBox.
  `MessageRequestType`
  `createMessageRequestType(String messageId)`
  retrieve message information of the message ( fullMessage, history , ...
  `MessageRequestType`
  `createMessageRequestType(String messageId, String source)`
  retrieve message information of the message ( fullMessage, history , ...
  `MessageRequestType`
  `createMessageRequestType(String messageId, String source, BoxIdType boxId)`
  retrieve message information of the message ( fullMessage, history , ...
  `MoveMessageRequest`
  `createMoveMessageRequest(String source, String destination, BoxIdType boxId, String... messageIds)`
  move messages beteen source for given ehealthboxes.
  `MoveMessageRequest`
  `createMoveMessageRequest(String source, String destination, BoxIdType boxId, List<String> messageIds)`
  move messages beteen source for given ehealthboxes.
  `MoveMessageRequest`
  `createMoveMessageRequest(String source, String destination, String... messageIds)`
  move messages between sources for default ehealthbox.
  `MoveMessageRequest`
  `createMoveMessageRequest(String source, String destination, List<String> messageIds)`
  move messages between sources for default ehealthbox.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RequestBuilderImpl

    public RequestBuilderImpl()

- ## Method Details

  - ### createDeleteMessageRequest

    public DeleteMessageRequest createDeleteMessageRequest(String source, String... messageIds)
    Description copied from interface: `RequestBuilder`
    creates a DeleteMessageRequest which asks the server to delete some messages.
    Specified by:
      `createDeleteMessageRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `messageIds` - one or more messageIds to delete
    Returns:
      the filled out `DeleteMessageRequest`
    See Also:
      - `RequestBuilder.createDeleteMessageRequest(java.lang.String, java.lang.String[])`

  - ### createGetAllEhboxesMessagesListRequest

    public GetAllEhboxesMessagesListRequest createGetAllEhboxesMessagesListRequest(String source, Integer startIndex, Integer endIndex)
    Description copied from interface: `RequestBuilder`
    retrieve messages from all ehealthboxes for a given source , start and endIndex.
    Specified by:
      `createGetAllEhboxesMessagesListRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `startIndex` - index of the first message , min 1 index of the first message , min 1
      `endIndex` - index of the last message, max startIndex + 100
    Returns:
    See Also:
      - `RequestBuilder.createGetAllEhboxesMessagesListRequest(String, Integer, Integer)`

  - ### createGetMessagesListRequest

    public GetMessagesListRequest createGetMessagesListRequest(String source, int startIndex, int endIndex, BoxIdType boxId)
    Description copied from interface: `RequestBuilder`
    retrieve the messages .
    Specified by:
      `createGetMessagesListRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `startIndex` - index of the first message , min 1
      `endIndex` - index of the last message, max startIndex + 100
      `boxId` - `BoxIdType` the ehealthBox to use
    Returns:
    See Also:
      - `RequestBuilder.createGetMessagesListRequest(java.lang.String, int, int, BoxIdType)`

  - ### createGetMessagesListRequest

    public GetMessagesListRequest createGetMessagesListRequest(String source)
    Description copied from interface: `RequestBuilder`
    retrieve the messages for a given source and the default ehealthbox.
    Specified by:
      `createGetMessagesListRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    Returns:
    See Also:
      - `RequestBuilder.createGetMessagesListRequest(java.lang.String)`

  - ### createDeleteMessageRequest

    public DeleteMessageRequest createDeleteMessageRequest(String source, BoxIdType boxId, String... messageIds)
    Description copied from interface: `RequestBuilder`
    create a deleteMessageRequest for a list of messages for a given source and ehealthBoxes.
    Specified by:
      `createDeleteMessageRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `boxId` - `BoxIdType` the ehealthBox to use
      `messageIds` - the id(s) of the message(s) to delete
    Returns:
    See Also:
      - `RequestBuilder.createDeleteMessageRequest(java.lang.String, BoxIdType, java.lang.String[])`

  - ### createBoxInfoRequestForDefaultBox

    public GetBoxInfoRequest createBoxInfoRequestForDefaultBox()
    Description copied from interface: `RequestBuilder`
    retrieve the information about the default ehealtbox.
    Specified by:
      `createBoxInfoRequestForDefaultBox` in interface `RequestBuilder`
    Returns:
    See Also:
      - `RequestBuilder.createBoxInfoRequestForDefaultBox()`

  - ### createBoxInfoRequest

    public GetBoxInfoRequest createBoxInfoRequest(BoxIdType boxId)
    Description copied from interface: `RequestBuilder`
    retrieve the information from the given ehealthboxes.
    Specified by:
      `createBoxInfoRequest` in interface `RequestBuilder`
    Parameters:
      `boxId` - `BoxIdType` the ehealthBox to use
    Returns:
    See Also:
      - invalid reference

            be.ehealth.businessconnector.ehbox.v3.builders.RequestBuilder#createBoxInfoRequest(be.fgov.ehealth.ehbox.core.v3.BoxIdType[])

  - ### createAllEhboxesMessagesListRequest

    public GetAllEhboxesMessagesListRequest createAllEhboxesMessagesListRequest(String source)
    Description copied from interface: `RequestBuilder`
    retrieve all messages for given source from all ehealthboxes. a maximum of 100 messages will be returned.
    Specified by:
      `createAllEhboxesMessagesListRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    Returns:
    See Also:
      - `RequestBuilder.createAllEhboxesMessagesListRequest(java.lang.String)`

  - ### createAllEhboxesMessagesListRequest

    public GetAllEhboxesMessagesListRequest createAllEhboxesMessagesListRequest(String source, Integer startIndex, Integer endIndex)
    Description copied from interface: `RequestBuilder`
    retrieve all messages for default ehealthbox.
    Specified by:
      `createAllEhboxesMessagesListRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `startIndex` - index of the first message , min 1
      `endIndex` - index of the last message, max startIndex + 100
    Returns:
    See Also:
      - `RequestBuilder.createAllEhboxesMessagesListRequest(java.lang.String, java.lang.Integer, java.lang.Integer)`

  - ### createMessageRequestType

    public MessageRequestType createMessageRequestType(String messageId)
    Description copied from interface: `RequestBuilder`
    retrieve message information of the message ( fullMessage, history , ... depending on method ) from INBOX with given messageId.
    Specified by:
      `createMessageRequestType` in interface `RequestBuilder`
    Parameters:
      `messageId` - the message for which this MessageRequest is created.
    Returns:
    See Also:
      - `RequestBuilder.createMessageRequestType(java.lang.String)`

  - ### createMessageRequestType

    public MessageRequestType createMessageRequestType(String messageId, String source)
    Description copied from interface: `RequestBuilder`
    retrieve message information of the message ( fullMessage, history , ... depending on method ) for the default ehealthbox.
    Specified by:
      `createMessageRequestType` in interface `RequestBuilder`
    Parameters:
      `messageId` - the message for which this MessageRequest is created.
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    Returns:
    See Also:
      - `RequestBuilder.createMessageRequestType(java.lang.String, java.lang.String)`

  - ### createMessageRequestType

    public MessageRequestType createMessageRequestType(String messageId, String source, BoxIdType boxId)
    Description copied from interface: `RequestBuilder`
    retrieve message information of the message ( fullMessage, history , ... depending on method ) .
    Specified by:
      `createMessageRequestType` in interface `RequestBuilder`
    Parameters:
      `messageId` - the message for which this MessageRequest is created.
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `boxId` - `BoxIdType` the ehealthBox to use
    Returns:
    See Also:
      - `RequestBuilder.createMessageRequestType(java.lang.String, java.lang.String, BoxIdType)`

  - ### createGetFullMessageRequest

    public GetFullMessageRequest createGetFullMessageRequest(String messageId)
    Description copied from interface: `RequestBuilder`
    retrieve message information of the message GetFullMessageRequest from INBOX with given messageId.
    Specified by:
      `createGetFullMessageRequest` in interface `RequestBuilder`
    Parameters:
      `messageId` - the message for which this GetFullMessageRequest is created.
    Returns:
    See Also:
      - `RequestBuilder.createGetFullMessageRequest(java.lang.String)`

  - ### createGetFullMessageRequest

    public GetFullMessageRequest createGetFullMessageRequest(String messageId, String source)
    Description copied from interface: `RequestBuilder`
    retrieve message information of the message GetFullMessageRequest for the default ehealthbox.
    Specified by:
      `createGetFullMessageRequest` in interface `RequestBuilder`
    Parameters:
      `messageId` - the message for which this GetFullMessageRequest is created.
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    Returns:
    See Also:
      - `RequestBuilder.createGetFullMessageRequest(java.lang.String, java.lang.String)`

  - ### createGetFullMessageRequest

    public GetFullMessageRequest createGetFullMessageRequest(String messageId, String source, BoxIdType boxId)
    Description copied from interface: `RequestBuilder`
    retrieve message information of the message GetFullMessageRequest .
    Specified by:
      `createGetFullMessageRequest` in interface `RequestBuilder`
    Parameters:
      `messageId` - the message for which this GetFullMessageRequest is created.
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `boxId` - `BoxIdType` the ehealthBox to use
    Returns:
    See Also:
      - `RequestBuilder.createGetFullMessageRequest(java.lang.String, java.lang.String, be.fgov.ehealth.ehbox.core.v3.BoxIdType)`

  - ### createGetHistoryRequest

    public GetHistoryRequest createGetHistoryRequest(String messageId)
    Description copied from interface: `RequestBuilder`
    retrieve message information of the message GetHistoryRequest from INBOX with given messageId.
    Specified by:
      `createGetHistoryRequest` in interface `RequestBuilder`
    Parameters:
      `messageId` - the message for which this GetHistoryRequest is created.
    Returns:
    See Also:
      - `RequestBuilder.createGetHistoryRequest(java.lang.String)`

  - ### createGetHistoryRequest

    public GetHistoryRequest createGetHistoryRequest(String messageId, String source)
    Description copied from interface: `RequestBuilder`
    retrieve message information of the message GetHistoryRequest for the default ehealthbox.
    Specified by:
      `createGetHistoryRequest` in interface `RequestBuilder`
    Parameters:
      `messageId` - the message for which this GetHistoryRequest is created.
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    Returns:
    See Also:
      - `RequestBuilder.createGetHistoryRequest(java.lang.String, java.lang.String)`

  - ### createGetHistoryRequest

    public GetHistoryRequest createGetHistoryRequest(String messageId, String source, BoxIdType boxId)
    Description copied from interface: `RequestBuilder`
    retrieve message information of the message GetHistoryRequest .
    Specified by:
      `createGetHistoryRequest` in interface `RequestBuilder`
    Parameters:
      `messageId` - the message for which this GetHistoryRequest is created.
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `boxId` - `BoxIdType` the ehealthBox to use
    Returns:
    See Also:
      - `RequestBuilder.createGetHistoryRequest(java.lang.String, java.lang.String, be.fgov.ehealth.ehbox.core.v3.BoxIdType)`

  - ### createMoveMessageRequest

    public MoveMessageRequest createMoveMessageRequest(String source, String destination, String... messageIds)
    Description copied from interface: `RequestBuilder`
    move messages between sources for default ehealthbox.
    Specified by:
      `createMoveMessageRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `destination` - the destination of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `messageIds` - the messageIds that need to be moved
    Returns:
    See Also:
      - `RequestBuilder.createMoveMessageRequest(java.lang.String, java.lang.String, java.lang.String[])`

  - ### createMoveMessageRequest

    public MoveMessageRequest createMoveMessageRequest(String source, String destination, BoxIdType boxId, String... messageIds)
    Description copied from interface: `RequestBuilder`
    move messages beteen source for given ehealthboxes.
    Specified by:
      `createMoveMessageRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `destination` - the destination of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `boxId` - `BoxIdType` the ehealthBox to use
      `messageIds` - the messageIds that need to be moved
    Returns:
    See Also:
      - `RequestBuilder.createMoveMessageRequest(java.lang.String, java.lang.String, BoxIdType, java.lang.String[])`

  - ### createGetMessageAcknowledgmentsStatusRequest

    public GetMessageAcknowledgmentsStatusRequest createGetMessageAcknowledgmentsStatusRequest(String messageId)
    Description copied from interface: `RequestBuilder`
    retrieve acknowledementStatuses for a message. a maximum of 100 statussen will be retrieved.
    Specified by:
      `createGetMessageAcknowledgmentsStatusRequest` in interface `RequestBuilder`
    Parameters:
      `messageId` - the id of the message for which this request is created.
    Returns:
    See Also:
      - `RequestBuilder.createGetMessageAcknowledgmentsStatusRequest(java.lang.String)`

  - ### createGetMessageAcknowledgmentsStatusRequest

    public GetMessageAcknowledgmentsStatusRequest createGetMessageAcknowledgmentsStatusRequest(String messageId, Integer startIndex, Integer endIndex, BoxIdType boxId)
    Description copied from interface: `RequestBuilder`
    retrieve acknowledementStatuses for a message.
    Specified by:
      `createGetMessageAcknowledgmentsStatusRequest` in interface `RequestBuilder`
    Parameters:
      `messageId` - the id of the message for which this request is created.
      `startIndex` - index of the first message , min 1
      `endIndex` - index of the last message, max startIndex + 100
      `boxId` - `BoxIdType` the ehealthBox to use
    Returns:
    See Also:
      - `RequestBuilder.createGetMessageAcknowledgmentsStatusRequest(java.lang.String, java.lang.Integer, java.lang.Integer, BoxIdType)`

  - ### createDeleteOoORequest

    public DeleteOoORequest createDeleteOoORequest(String... oOoIds)
    Description copied from interface: `RequestBuilder`
    delete the OoO's for the default ehealthbox.
    Specified by:
      `createDeleteOoORequest` in interface `RequestBuilder`
    Parameters:
      `oOoIds` - the OoO (Out of Office) ids , as retrieved with the GetOoOList method.
    Returns:
    See Also:
      - `RequestBuilder.createDeleteOoORequest(java.lang.String[])`

  - ### createDeleteOoORequest

    public DeleteOoORequest createDeleteOoORequest(List<String> oOoIds)
    Description copied from interface: `RequestBuilder`
    delete the OoO's for the default ehealthbox.
    Specified by:
      `createDeleteOoORequest` in interface `RequestBuilder`
    Parameters:
      `oOoIds` - the OoO (Out of Office) ids , as retrieved with the GetOoOList method.
    Returns:
    See Also:
      - `RequestBuilder.createDeleteOoORequest(java.util.List)`

  - ### createDeleteOoORequest

    public DeleteOoORequest createDeleteOoORequest(BoxIdType boxId, String... oOoIds)
    Description copied from interface: `RequestBuilder`
    delete the OoO's for the given ehealthBoxes.
    Specified by:
      `createDeleteOoORequest` in interface `RequestBuilder`
    Parameters:
      `boxId` - `BoxIdType` the ehealthBox to use
      `oOoIds` - the OoO (Out of Office) ids , as retrieved with the GetOoOList method.
    Returns:
    See Also:
      - `RequestBuilder.createDeleteOoORequest(BoxIdType, java.lang.String[])`

  - ### createDeleteOoORequest

    public DeleteOoORequest createDeleteOoORequest(BoxIdType boxId, List<String> oOoIds)
    Description copied from interface: `RequestBuilder`
    delete the OoO's for the given ehealthBoxes.
    Specified by:
      `createDeleteOoORequest` in interface `RequestBuilder`
    Parameters:
      `boxId` - `BoxIdType` the ehealthBox to use
      `oOoIds` - the OoO (Out of Office) ids , as retrieved with the GetOoOList method.
    Returns:
    See Also:
      - `RequestBuilder.createDeleteOoORequest(be.fgov.ehealth.ehbox.core.v3.BoxIdType, java.util.List)`

  - ### createGetOoOListRequest

    public GetOoOListRequest createGetOoOListRequest()
    Description copied from interface: `RequestBuilder`
    retrieve the Out Of Offices for the default ehealthbox.
    Specified by:
      `createGetOoOListRequest` in interface `RequestBuilder`
    Returns:
    See Also:
      - `RequestBuilder.createGetOoOListRequest()`

  - ### createGetOoOListRequest

    public GetOoOListRequest createGetOoOListRequest(BoxIdType boxId)
    Description copied from interface: `RequestBuilder`
    retrieve the Out Of Offices for the given ehealthBox.
    Specified by:
      `createGetOoOListRequest` in interface `RequestBuilder`
    Parameters:
      `boxId` - the `BoxIdType` indicating the ehealthBox to use.
    Returns:
    See Also:
      - `RequestBuilder.createGetOoOListRequest(be.fgov.ehealth.ehbox.core.v3.BoxIdType)`

  - ### createInsertOoORequest

    public InsertOoORequest createInsertOoORequest(Instant startDate, Instant endDate, BoxIdType... substitutes)
    Description copied from interface: `RequestBuilder`
    Insert an Out of Office with substitutes for the default ehealthBox.
    Specified by:
      `createInsertOoORequest` in interface `RequestBuilder`
    Parameters:
      `startDate` - the start date of the Out Of Office.
      `endDate` - the end date of the Out of Office
      `substitutes` - zero or more `BoxIdType` indicating the substitutes ( ehealthBoxes to forward the mail to during the Out of Office period )
    Returns:
    See Also:
      - `RequestBuilder.createInsertOoORequest(java.time.Instant, java.time.Instant, be.fgov.ehealth.ehbox.core.v3.BoxIdType[])`

  - ### createInsertOoORequest

    public InsertOoORequest createInsertOoORequest(BoxIdType boxId, Instant startDate, Instant endDate, BoxIdType... substitutes)
    Description copied from interface: `RequestBuilder`
    Insert an Out of Office with substitutes for the given Ehealthboxes .
    Specified by:
      `createInsertOoORequest` in interface `RequestBuilder`
    Parameters:
      `boxId` - `BoxIdType` the ehealthBox to use
      `startDate` - the start date of the Out Of Office.
      `endDate` - the end date of the Out of Office
      `substitutes` - one or more `BoxIdType` indicating the substitutes ( ehealthBoxes to forward the mail to during the Out of Office period )
    Returns:
    See Also:
      - `RequestBuilder.createInsertOoORequest(BoxIdType, java.time.Instant, java.time.Instant, be.fgov.ehealth.ehbox.core.v3.BoxIdType[])`

  - ### createDeleteMessageRequest

    public DeleteMessageRequest createDeleteMessageRequest(String source, List<String> messageIds)
    Description copied from interface: `RequestBuilder`
    creates a DeleteMessageRequest which asks the server to delete some messages.
    Specified by:
      `createDeleteMessageRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `messageIds` - one or more messageIds to delete
    Returns:
      the filled out `DeleteMessageRequest`
    See Also:
      - `RequestBuilder.createDeleteMessageRequest(java.lang.String, java.util.List)`

  - ### createDeleteMessageRequest

    public DeleteMessageRequest createDeleteMessageRequest(String source, BoxIdType boxId, List<String> messageIds)
    Description copied from interface: `RequestBuilder`
    create a deleteMessageRequest for a list of messages for a given source and ehealthBoxes.
    Specified by:
      `createDeleteMessageRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `boxId` - `BoxIdType` the ehealthBox to use
      `messageIds` - the id(s) of the message(s) to delete
    Returns:
    See Also:
      - `RequestBuilder.createDeleteMessageRequest(java.lang.String, be.fgov.ehealth.ehbox.core.v3.BoxIdType, java.util.List)`

  - ### createMoveMessageRequest

    public MoveMessageRequest createMoveMessageRequest(String source, String destination, List<String> messageIds)
    Description copied from interface: `RequestBuilder`
    move messages between sources for default ehealthbox.
    Specified by:
      `createMoveMessageRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `destination` - the destination of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `messageIds` - the messageIds that need to be moved
    Returns:
    See Also:
      - `RequestBuilder.createMoveMessageRequest(java.lang.String, java.lang.String, java.util.List)`

  - ### createMoveMessageRequest

    public MoveMessageRequest createMoveMessageRequest(String source, String destination, BoxIdType boxId, List<String> messageIds)
    Description copied from interface: `RequestBuilder`
    move messages beteen source for given ehealthboxes.
    Specified by:
      `createMoveMessageRequest` in interface `RequestBuilder`
    Parameters:
      `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `destination` - the destination of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
      `boxId` - `BoxIdType` the ehealthBox to use
      `messageIds` - the messageIds that need to be moved
    Returns:
    See Also:
      - `RequestBuilder.createMoveMessageRequest(java.lang.String, java.lang.String, be.fgov.ehealth.ehbox.core.v3.BoxIdType, java.util.List)`

  - ### createInsertOoORequest

    public InsertOoORequest createInsertOoORequest(Instant startDate, Instant endDate, List<BoxIdType> substitutes)
    Description copied from interface: `RequestBuilder`
    Insert an Out of Office with substitutes for the default ehealthBox.
    Specified by:
      `createInsertOoORequest` in interface `RequestBuilder`
    Parameters:
      `startDate` - the start date of the Out Of Office.
      `endDate` - the end date of the Out of Office
      `substitutes` - zero or more `BoxIdType` indicating the substitutes ( ehealthBoxes to forward the mail to during the Out of Office period )
    Returns:
    See Also:
      - `RequestBuilder.createInsertOoORequest(java.time.Instant, java.time.Instant, java.util.List)`

  - ### createInsertOoORequest

    public InsertOoORequest createInsertOoORequest(BoxIdType boxId, Instant startDate, Instant endDate, List<BoxIdType> substitutes)
    Description copied from interface: `RequestBuilder`
    Insert an Out of Office with substitutes for the given Ehealthboxes .
    Specified by:
      `createInsertOoORequest` in interface `RequestBuilder`
    Parameters:
      `boxId` - `BoxIdType` the ehealthBox to use
      `startDate` - the start date of the Out Of Office.
      `endDate` - the end date of the Out of Office
      `substitutes` - one or more `BoxIdType` indicating the substitutes ( ehealthBoxes to forward the mail to during the Out of Office period )
    Returns:
    See Also:
      - `RequestBuilder.createInsertOoORequest(be.fgov.ehealth.ehbox.core.v3.BoxIdType, java.time.Instant, java.time.Instant, java.util.List)`